Skip to main content
POST
/
preview
/
retail-media
/
retailers
/
{retailerId}
/
compute-display-min-bid
/preview/retail-media/retailers/{retailerId}/compute-display-min-bid
curl --request POST \
  --url https://api.criteo.com/preview/retail-media/retailers/{retailerId}/compute-display-min-bid \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "attributes": {
      "creativeIds": [
        "<string>"
      ],
      "productIds": [
        "<string>"
      ]
    },
    "type": "<string>"
  }
}
'
{
  "data": [
    {
      "attributes": {
        "creativeId": "<string>",
        "minBid": 123
      },
      "type": "<string>"
    }
  ],
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

retailerId
string<int32>
required

The retailer id

Body

application/json

The details for what creatives and product ids to use to compute the min bids

A top-level object that encapsulates a Criteo API request for a single value object.

data
object

A value resource exposed by the API.

Response

200 - application/json

Success

A top-level object that encapsulates a Criteo API response for several value objects.

data
object[] | null
errors
object[] | null
read-only

Errors that occured during this call.

warnings
object[] | null
read-only

Warnings that occured during this call.